import { BaseApiService } from "../base.api.service";
import { Stage } from "./stage";
export declare class StageService extends BaseApiService {
    private readonly flowService;
    getApi(): string;
    constructor();
    publishFlow(flowId: string | undefined): Promise<void>;
    findEmbeddedStage(): Promise<Stage | undefined>;
    findAll(): Promise<Array<Stage>>;
    findById(stageId: string): Promise<Stage>;
    save(stage: Stage): Promise<string>;
}
//# sourceMappingURL=stage.service.d.ts.map